Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
siteconfig.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZSiteManagerMain", "Language" )
| $SitePath = $ini->variable( "site", "SitePath" )
| $ini_file = "/override/site.ini"
| $ini_php_file = "/override/site.ini.php"
| $t
if(file_exists("settings/override/site.ini.php")) elseif(file_exists("settings/override/site.ini")) elseif(file_exists("settings/site.ini.php")) elseif(file_exists("settings/site.ini")) | else
| $contents = ""

## Variable Documentation

## ◆ $contents

$contents = ""

Definition at line 98 of file siteconfig.php.

## ◆ $ini

if (isset($Store)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 32 of file siteconfig.php.

## ◆ $ini_file

$ini_file = "/override/site.ini"

Definition at line 45 of file siteconfig.php.

## ◆ $ini_php_file

$ini_php_file = "/override/site.ini.php"

Definition at line 46 of file siteconfig.php.

## ◆ $Language

$Language = $ini->variable( "eZSiteManagerMain", "Language" )

Definition at line 33 of file siteconfig.php.

## ◆ $SitePath

$SitePath = $ini->variable( "site", "SitePath" )

Definition at line 34 of file siteconfig.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezsitemanager/admin/" . $ini->variable( "eZSiteManagerMain", "AdminTemplateDir" ),
"kernel/ezsitemanager/admin/" . "/intl", $Language, "siteconfig.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: siteconfig.php:33
$ini
$ini
Definition: siteconfig.php:32

Definition at line 68 of file siteconfig.php.

## ◆ else

if (file_exists("settings/override/site.ini.php")) elseif (file_exists("settings/override/site.ini")) elseif (file_exists("settings/site.ini.php")) elseif (file_exists("settings/site.ini")) else

Initial value:
{
print("<span style='color: red;'>Warning</span>: The Exponential Basic site.ini file could not be found : <span style='color: red;'>$ini_file</span>")

Definition at line 90 of file siteconfig.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.